Bug 111194 - net-snmp-perl requires perl(Tk) which doesn't seem to be provided by anything
net-snmp-perl requires perl(Tk) which doesn't seem to be provided by anything
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: net-snmp (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-29 11:51 EST by Kaj J. Niemi
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-10 09:31:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
filter perl(Tk) from dependency calculation during packaging phase (56 bytes, text/plain)
2003-11-29 11:52 EST, Kaj J. Niemi
no flags Details

  None (edit)
Description Kaj J. Niemi 2003-11-29 11:51:21 EST
Description of problem:

net-snmp-perl (/usr/bin/snmpcheck) requires perl(Tk) which isn't being
provided by any package.

% rpm -qp --requires net-snmp-perl-5.1-2.i386.rpm|grep Tk
perl(Tk)

Easy fix (I'm lazy, not diffs today ;-))... Add to net-snmp.spec:

Source999: filter-requires-net-snmp-perl.sh
%define __perl_requires %{SOURCE999}

filter-requires-net-snmp-perl.sh is attached.
Comment 1 Kaj J. Niemi 2003-11-29 11:52:02 EST
Created attachment 96248 [details]
filter perl(Tk) from dependency calculation during packaging phase
Comment 2 Phil Knirsch 2003-12-10 09:31:13 EST
Even simpler fix: Remove snmpcheck from net-snmp-perl. Doesn't make
sense to include it when we don't ship a perl-Tk rpm.

Read ya, Phil

PS: See older changelog entries where i intentionally removed it
already once in order to get rid of the perl(Tk) dep. Must have been
very tired when i added it again. :-)
Comment 3 Kaj J. Niemi 2003-12-10 10:16:06 EST
Hmm true, I didn't even try out snmpcheck...

Note You need to log in before you can comment on or make changes to this bug.